package cn.cecep.talroad.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @className: BasDeviceInfoOperationLog
 * @description: TODO 类描述 
 * @author: Mr.Yanghongtao
 * @date: 2023/04/28 17:25
 * @Company: Copyright© [2023/04/28 17:25] by [Mr.Yanghongtao]
 **/

/**
 * 设施信息管理操作日志
 */
@ApiModel(value = "设施信息管理操作日志",description = "设施信息管理操作日志")
public class BasDeviceInfoOperationLog {
    /**
     * 主键标识
     */
    @ApiModelProperty(name = "logId",value = "主键标识")
    private String logId;

    /**
     * 操作时间
     */
    @ApiModelProperty(name = "operationTime",value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date operationTime;

    /**
     * 分表计电设施名称
     */
    @ApiModelProperty(name = "elecDeviceName",value = "分表计电设施名称")
    private String elecDeviceName;

    /**
     * 修改前对应许可证生产设施名称
     */
    @ApiModelProperty(name = "beforeModifyName",value = "修改前对应许可证生产设施名称")
    private String beforeModifyName;

    /**
     * 修改前对应许可证生产设施编号
     */
    @ApiModelProperty(name = "beforeModifyCode",value = "修改前对应许可证生产设施编号")
    private String beforeModifyCode;

    /**
     * 操作状态
     */
    @ApiModelProperty(name = "operationStatus",value = "操作状态")
    private String operationStatus;

    /**
     * 修改后对应许可证生产设施名称
     */
    @ApiModelProperty(name = "afterModifyName",value = "修改后对应许可证生产设施名称")
    private String afterModifyName;

    /**
     * 修改后对应许可证生产设施编号
     */
    @ApiModelProperty(name = "afterModifyCode",value = "修改后对应许可证生产设施编号")
    private String afterModifyCode;

    /**
     * 操作人
     */
    @ApiModelProperty(name = "operator",value = "操作人")
    private String operator;

    /**
     * 1-分表计电生产设施匹配｜2-分表计电治理设施匹配｜3-DCS生产设施点位匹配
     */
    @ApiModelProperty(name = "monitoringPointType",value = "1-分表计电生产设施匹配｜2-分表计电治理设施匹配｜3-DCS生产设施点位匹配")
    private String monitoringPointType;

    /**
     * 操作人ID
     */
    @ApiModelProperty(name = "operatorId",value = "操作人ID")
    private String operatorId;

    /**
     * 企业ID
     */
    @ApiModelProperty(name = "factoryId",value = "企业ID")
    private String factoryId;

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    public Date getOperationTime() {
        return operationTime;
    }

    public void setOperationTime(Date operationTime) {
        this.operationTime = operationTime;
    }

    public String getElecDeviceName() {
        return elecDeviceName;
    }

    public void setElecDeviceName(String elecDeviceName) {
        this.elecDeviceName = elecDeviceName;
    }

    public String getBeforeModifyName() {
        return beforeModifyName;
    }

    public void setBeforeModifyName(String beforeModifyName) {
        this.beforeModifyName = beforeModifyName;
    }

    public String getBeforeModifyCode() {
        return beforeModifyCode;
    }

    public void setBeforeModifyCode(String beforeModifyCode) {
        this.beforeModifyCode = beforeModifyCode;
    }

    public String getOperationStatus() {
        return operationStatus;
    }

    public void setOperationStatus(String operationStatus) {
        this.operationStatus = operationStatus;
    }

    public String getAfterModifyName() {
        return afterModifyName;
    }

    public void setAfterModifyName(String afterModifyName) {
        this.afterModifyName = afterModifyName;
    }

    public String getAfterModifyCode() {
        return afterModifyCode;
    }

    public void setAfterModifyCode(String afterModifyCode) {
        this.afterModifyCode = afterModifyCode;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getMonitoringPointType() {
        return monitoringPointType;
    }

    public void setMonitoringPointType(String monitoringPointType) {
        this.monitoringPointType = monitoringPointType;
    }

    public String getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(String operatorId) {
        this.operatorId = operatorId;
    }

    public String getFactoryId() {
        return factoryId;
    }

    public void setFactoryId(String factoryId) {
        this.factoryId = factoryId;
    }
}